fribidi_parse_charset(3)

NAME
fribidi_parse_charset - parse character set name

SYNOPSIS
#include <../fribidi-1.0.12/lib/fribidi.h>

FriBidiCharSet fribidi_parse_charset(const char *s);

PARAMETERS

const char *s
    Input name of the character set.

DESCRIPTION
Parse character set name.

RETURNS
The character set named s, or FRIBIDI_CHAR_SET_NOT_FOUND if the character set is not available.

Possible values for a FriBidiCharSet are as follows:
    FRIBIDI_CHAR_SET_UTF8
        UTF-8 (Unicode).
    FRIBIDI_CHAR_SET_CAP_RTL
        CapRTL (Test).
    FRIBIDI_CHAR_SET_ISO8859_6
        ISO8859-6 (Arabic).
    FRIBIDI_CHAR_SET_ISO8859_8
        ISO8859-8 (Hebrew).
    FRIBIDI_CHAR_SET_CP1255
        CP1255 (MS Hebrew/Yiddish).
    FRIBIDI_CHAR_SET_CP1256
        CP1256 (MS Arabic).

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)